/*
 * ContextEvent.java
 *
 * Class which defines a ContextEvent, with a monitorscript equivalent:
 *
 *   event ContextEvent {
 *     context ctx;
 *   }
 *
 * $Copyright(c) 2010 Progress Software Corporation. All Rights Reserved.$ 
 * $Copyright (c) 2013 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$ 
 * Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG 
 */

import com.apama.jmon.Event;
import com.apama.jmon.Context;
import com.apama.jmon.annotation.EventType;

@EventType(description = "Event which contains a Context field.")
public class ContextEvent extends Event {
	private static final long serialVersionUID = 10L;
	/** Event field */
	public Context ctx;


	/**
	* No argument constructor
	*/
	public ContextEvent() {
		ctx = new Context();
	}

}
